{% extends 'berou/base.html' %}
{% load static %}
{% block content %}
<div class="panel-links panel-links-default">
    <div class="panel-links-heading">
        <div class="row">
            <div class="col-md-2">
                <h4>List of files</h4>
            </div>
            <div class="col-md-10">
                <div class="pull-right">
                    <form method="POST" class="form-inline" action="{% url 'files:create_file' %}" enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-sm-2">
                                <div class="form-group{% if form.file.errors %} has-error{% endif %}">
                                    <label for="{{ form.file.auto_id }}">{{ form.file.label }}</label>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                {{ form.file }}
                            </div>
                            <div class="col-sm-4">
                                <button class="pull-right btn btn-primary">Upload file</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="panel-links-body">
        <ul class="list-group">
            {% for file in object_list %}
            <li class="list-group-item"><a href="{% get_media_prefix %}{{ file.file }}">{{ file.name }}</a>
            <a href="{% url 'files:delete_file' pk=file.id %}"><img class="icon" src="{% static 'erika/img/delete.svg' %}" alt="Delete" /></a>
            </li>
            {% endfor %}
        </ul>
    </div>
</div>
{% endblock content %}
